Home > Linux > Ubuntu 10.04 (Lucid Lynx), Asus Eeepc 901 and wireless networking

Ubuntu 10.04 (Lucid Lynx), Asus Eeepc 901 and wireless networking

For the record: Ubuntu 10.04 (Lucid Lynx) is working great on the Asus Eeepc 901. Only the support for the RaLink RT2860 wireless chip is not that great, sometimes the system refuses to connect to a wireless network.  The best approach seems to be installing the backport package that brings a newer version of the driver:

sudo apt-get install linux-backports-modules-wireless-lucid-generic

or when the PAE kernel is being used:

sudo apt-get install linux-backports-modules-wireless-lucid-generic-pae

Connectivity is much better for me with the updated driver.

Advertisements
Categories: Linux Tags: , , , , , ,
  1. April 14, 2011 at 7:13 pm

    Thanks. It worked on my 1005PEB.

  2. DenysB
    August 4, 2011 at 3:30 pm

    I found this post after doing an alternative fix: perhaps this would have been easier, but just for the record:-

    My 901 was working fine with linux 9.04 netbook remix, but the wireless stopped working with WPA when I upgraded to 10.04 netbook remix after 9.04 support was withdrawn. 10.04 appeared not to have the Ralink 2860 driver. I don’t like tinkering via the terminal in case I do any damage, so this was my recipe:

    1. Use Synaptic to install ndiswrapper UI (Synaptic will also pick up the other components). You will then find the UI in the Systems Admin folder, and this will let you install and run the 2860 Windows driver.
    2. Chris Barker’s site offers http://tinyurl.com/32ss5m8 to download a Windows Ralink 2860 driver. Unzip it.
    [Chris Barker uses scary terminal commands so I avoided his recipe at http://www.ctbarker.info/2010/05/ubuntu-1004-wireless-chipsets-and-wpa.html%5D
    3. Start up ndiswrapper, click add driver, find the .inf file in the unzipped driver folder, and click install. Wait a bit! Eventually you should see the driver appear in the installed drivers list.
    4. Reboot, and the 901 wireless was working fine again.

  3. August 4, 2011 at 3:40 pm

    Thanks for sharing this alternative fix. I just prefer to use the Ubuntu repositories without additional software like the Windows driver. In the meantime i updated the 901 to 10.10 and 11.04, and wireless works without problems.

  4. October 26, 2011 at 7:38 pm

    I have tried everything within my scope which is at best limited and still cannot get my system connected wirelessly! I am working with a HP Pavillion dv6000 running Ubuntu Lucid Lynx 10.04. Any ideas?

  5. October 27, 2011 at 3:49 pm

    I have no knowledge about wireless on your HP system. There are trouble shooting documents here https://help.ubuntu.com/community/WifiDocs/WirelessTroubleShootingGuide and at https://help.ubuntu.com/community/WirelessTroubleshootingProcedure

    Maybe you can follow these to identify the hardware and request additional help.

  6. fleorin
    November 26, 2011 at 8:20 pm

    Thanks, it worked on my eeePc 901 like a charm

  7. November 27, 2011 at 8:33 pm

    Hi Christof, thanks for your post, it fixed the problem with my Eeepc. I was running Ubuntu 10.10 on my 901 until a few days ago when a large set of updates messed up Compiz and broke some other minor things.

    I decided to go back to the 10.04 LTS version today only to find that the wireless drivers didn’t work. A copy-paste into the terminal followed by a reboot and wifi is working again.

    A nice way to end the weekend!

  8. alex
    December 25, 2011 at 6:39 am

    any ideas why I get this message on terminal? “E: Unable to locate package linux-backports-modules-wireless-lucid-generic”? Thanks for any input.

  9. June 12, 2012 at 8:00 am

    I have this exact problem and I’m a total noob with Linux (running jolicloud) Could you explain…

    1, What is the ”backport package”?
    2, How do you open the Terminal to input that command?
    3, What is the ”PAE kernel”?
    4, Someone else said ”Use Synaptic” What is Synaptic?

    Cheers for any help, my 901 is a useless brick without WiFi.
    S.

  10. June 15, 2012 at 1:28 am

    I wrote this post when Ubuntu 10.04 came out. Since 12.04 is out now, i would strongly suggest to use the most recent version, hardware support is now much better. For all other questions, please check the information available at https://help.ubuntu.com/

    Cheers

  1. No trackbacks yet.

Leave a Reply to SeaniO Cancel reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s